var UploadClick = {
         exec: function (editor) {
             UploadFun();
          }
      }
CKEDITOR.plugins.add(
	    "customupload",
 	    {
	        init:function (a)
	        {
	            a.addCommand("customupload", UploadClick);
 	            a.ui.addButton(
 	                "Customupload",
 	                {
 	                    label:"插入图片",
 	                    command: "customupload",
	                    icon:this.path + "code.gif"
 	                });
	        }
	    }
);